Subject: [rddp] re: mpa-00 draft - minutae

From: Caitlin Bestler <[email-masked]>
Date: Sat, 11 Oct 2003 17:49:32 -0500

>      Changed Active/Passive nomenclature to Initiator/Responder to
  >      reduce confusion with TCP startup and verbs doc (which used
  >     opposite sense).

a) The citation is not reffed here.
b) The citation should be to the RDMAC document, as that the specified
      draft has expired and has not been adopted as a WG document.

 >   MPA includes a CRC check to increase the ULPDU data integrity to the
 >   level provided by other modern protocols, such as SCTP [RFC2960].

Actually, SCTP's CRC checksum is defined in RFC3309

 >   While the maximum theoretical length supported by the MPA header
 >  ULPDU_Length field is 65535, TCP over IP requires the IP datagram
 >   maximum length to be 65535 octets. To enable MPA to support FPDU
 >  Alignment, the maximum size of the FPDU must fit within an IP
 >  datagram. Thus the ULPDU limit of 64768 octets was derived by taking
 >  the maximum IP datagram length, subtracting from it the maximum total
 >  length of the sum of the IPv4 header, TCP header, IPv4 options, TCP
 >  options, and the worst case MPA overhead, and then rounding the
 >  result down to a 128 octet boundary.

MPA should be valid over IPv6 and IPV4 (although obviously a
given implementation would be IPv4 and/or IPv6). Therefore it
should be made clear that you might have to subtract the
length of an IPv6 header.

A totally cautious application should allow for IPv6 or IPv4.

--------------------------
Caitlin Bestler - http://asomi.com/

_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp